#!/bin/sh | |
# | |
# Start chrony | |
[ -r /etc/default/chrony ] && . /etc/default/chrony | |
case "$1" in | |
start) | |
printf "Starting chrony: " | |
chronyd $CHRONY_ARGS && echo "OK" || echo "FAIL" | |
;; | |
stop) | |
printf "Stopping chrony: " | |
killall chronyd && echo "OK" || echo "FAIL" | |
;; | |
restart|reload) | |
"$0" stop | |
sleep 1 | |
"$0" start | |
;; | |
*) | |
echo "Usage: $0 {start|stop|restart}" | |
exit 1 | |
esac | |
exit $? |